Create a charge split schema Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/charge-split-schema

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    Introducer split name

  • min_percentage number(float) Required

    Minimum percentage of overall charge introducer can be entitled to

    Minimum value is 0.0, maximum value is 100.0.

  • max_percentage number(float) Required

    Maximum percentage of overall charge introducer can be entitled to

    Minimum value is 0.0, maximum value is 100.0.

  • default_percentage number(float) Required

    Default percentage of overall charge introducer can be entitled to. Must be between minimum and maximum

    Minimum value is 0.0, maximum value is 100.0.

  • percentage_paid_by_firm number(float) Required

    Percentage of the introducer's cut of the expected amount to be paid by the firm

    Minimum value is 0.0, maximum value is 100.0.

  • percentage_paid_by_adviser number(float) Required

    Percentage of the introducer's cut of the expected amount to be paid by the selling adviser

    Minimum value is 0.0, maximum value is 100.0.

  • can_change_transfer_fci boolean Required

    Whether the value for FCI contributions can be changed. Will only apply to advisers

  • default_transfer_fci boolean Required

    Default value to whether the introducer will be recognised for FCI contributions. Will only apply to advisers

  • can_change_initial boolean Required

    Whether the value for initial charges can be changed

  • default_initial boolean Required

    Default value to whether this charge split schema will be applied to initial charges

  • can_change_ongoing boolean Required

    Whether the value for ongoing charges can be changed

  • default_ongoing boolean Required

    Default value to whether this charge split schema will be applied to ongoing charges

  • valid_for_advisers boolean Required

    Whether this charge split schema can be applied for adviser accounts

  • valid_for_clients boolean Required

    Whether this charge split schema can be applied for client accounts

  • valid_for_introducers boolean Required

    Whether this charge split schema can be applied for introducer accounts

  • visible_to_advisers boolean Required

    Whether this charge split schema is visible to advisers to use

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Introducer split name

    • min_percentage integer

      Minimum percentage of overall charge introducer can be entitled to

    • max_percentage integer

      Maximum percentage of overall charge introducer can be entitled to

    • default_percentage integer

      Default percentage of overall charge introducer can be entitled to. Must be between minimum and maximum

    • percentage_paid_by_firm integer

      Percentage of the introducer's cut of the expected amount to be paid by the firm

    • percentage_paid_by_adviser integer

      Percentage of the introducer's cut of the expected amount to be paid by the selling adviser

    • can_change_transfer_fci boolean

      Whether the value for FCI contributions can be changed. Will only apply to advisers

    • default_transfer_fci boolean

      Default value to whether the introducer will be recognised for FCI contributions. Will only apply to advisers

    • can_change_initial boolean

      Whether the value for initial charges can be changed

    • default_initial boolean

      Default value to whether this charge split schema will be applied to initial charges

    • can_change_ongoing boolean

      Whether the value for ongoing charges can be changed

    • default_ongoing boolean

      Default value to whether this charge split schema will be applied to ongoing charges

    • valid_for_advisers boolean

      Whether this charge split schema can be applied for adviser accounts

    • valid_for_clients boolean

      Whether this charge split schema can be applied for client accounts

    • valid_for_introducers boolean

      Whether this charge split schema can be applied for introducer accounts

    • visible_to_advisers boolean

      Whether this charge split schema is visible to advisers to use

POST /api/v1/charge-split-schema
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/charge-split-schema' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Basic Introducer Rate","min_percentage":20.0,"max_percentage":40.0,"default_percentage":27.5,"percentage_paid_by_firm":18.0,"percentage_paid_by_adviser":17.62,"can_change_transfer_fci":true,"default_transfer_fci":true,"can_change_initial":true,"default_initial":true,"can_change_ongoing":true,"default_ongoing":true,"valid_for_advisers":true,"valid_for_clients":true,"valid_for_introducers":true,"visible_to_advisers":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Basic Introducer Rate",
  "min_percentage": 20.0,
  "max_percentage": 40.0,
  "default_percentage": 27.5,
  "percentage_paid_by_firm": 18.0,
  "percentage_paid_by_adviser": 17.62,
  "can_change_transfer_fci": true,
  "default_transfer_fci": true,
  "can_change_initial": true,
  "default_initial": true,
  "can_change_ongoing": true,
  "default_ongoing": true,
  "valid_for_advisers": true,
  "valid_for_clients": true,
  "valid_for_introducers": true,
  "visible_to_advisers": true
}
Response examples (201)
{
  "uuid": "caf5cce6-844c-4bfa-bab7-c6f87281f312",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "name": "Basic Introducer Rate",
  "min_percentage": 10,
  "max_percentage": 20,
  "default_percentage": 15,
  "percentage_paid_by_firm": 25,
  "percentage_paid_by_adviser": 75,
  "can_change_transfer_fci": true,
  "default_transfer_fci": true,
  "can_change_initial": true,
  "default_initial": true,
  "can_change_ongoing": true,
  "default_ongoing": true,
  "valid_for_advisers": true,
  "valid_for_clients": true,
  "valid_for_introducers": true,
  "visible_to_advisers": true
}